<?

	// Email regexp
	$email_pattern = '/^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/';

	// Sanitize all input; replace "-" with "_"
	$email = htmlspecialchars(addslashes(trim(   str_replace("-", "_", $_POST['email_input'])  )));
	$name = htmlspecialchars(addslashes(trim(    str_replace("-", "_", $_POST['name_input'])  )));
	$comment = htmlspecialchars(addslashes(trim( str_replace("-", "_", $_POST['content_input'])  )));

	// type is not used anymore (optional "inquiry type").
	//$type = htmlspecialchars(addslashes(trim(    str_replace("-", "_", $_POST['type_input'])  )));

	// If success is ever set to false, then there was a validation error.
	$success = true;

	if ( preg_match($email_pattern, $email) > 0 and strlen($email) < 120 and strlen($email) > 8 ) // TODO - Figure out what to do here exactly..
	{
		// Nothing to do here, yet..
	}
	else
	{
		// E-mail is not in valid format.
		$success = false;
	}

	if ( strlen($name) > 50 || strlen($comment) > 2200 ) /* || strlen($type) > 20 ) */
	{
		$success = false;
	}


	if ( $success == true )
	{
		// This writes the comment to a simple text file. 
		// TODO: Replace this block with a database INSERT or whatever..
		$comment_file = fopen('./logs/contact', 'a+');
		fwrite($comment_file,
			date('d-m-Y:H:i:s')."\n".
			$_SERVER['REMOTE_ADDR']."\n".
			$_SERVER['HTTP_USER_AGENT']."\n".
			$name."\n".
			$email."\n".
			$comment."\n".
			"----------------------------------------------\n");
		fclose($comment_file);


		/**********************************/
		// Local settings (can add others)
		$site_admin_from = "Site Admin <admin@example.com>";
		$site_admin_email = "your_personal_email@example.com";

		// Load local settings
		$email_from = $site_admin_from;
		/**********************************/


		$email_body = 
			date('d-m-Y:H:i:s')."\n".
			$_SERVER['REMOTE_ADDR']."\n".
			$_SERVER['HTTP_USER_AGENT']."\n".
			$name."\n".
			$email."\n".
			$comment."\n";

		$email_headers = "From: $email_from". "\r\n" .
			"Reply-To: $email" . "\r\n" .
			'X-Mailer: PHP/' . phpversion();

		// Note on linux using sendmail, some additional configuration may be required
		// so mail() doesn't take forever to send.
		if ( ! mail($site_admin_email, "New contact from $email", $email_body, $email_headers) )
		{
			// TODO - Notify of failure to mail
		}

		echo "success";
	}
	else
	{
		echo "values too long";
	}

?>
